Subject: [PATCH 006/602] diagnostics: Fix typo about 0-indexed COL in location.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 15 May 2022 00:36:33 -0400

* guix/diagnostics.scm (source-properties->location): The location column is
0-indexed, not 1-indexed (the same as in source-properties, so the code is
accurate).
---
 guix/diagnostics.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/guix/diagnostics.scm b/guix/diagnostics.scm
index bf1ced8140..9f0d558f2f 100644
--- a/guix/diagnostics.scm
+++ b/guix/diagnostics.scm
@@ -232,7 +232,7 @@ (define (source-properties->location loc)
 by Guile's `source-properties', `frame-source', `current-source-location',
 etc."
   ;; In accordance with the GCS, start line and column numbers at 1.  Note
-  ;; that unlike LINE and `port-column', COL is actually 1-indexed here...
+  ;; that unlike LINE and `port-column', COL is actually 0-indexed here...
   (match loc
     ((('line . line) ('column . col) ('filename . file)) ;common case
      (and file line col
-- 
2.36.0